| mem.h | Header File

Header File Index

Routines for manipulation of memory blocks

Functions

_memset
  Sets num bytes of buffer to byte c.
memchr
  Searches the first len bytes of array str for character c.
memcmp
  Compares two blocks of signed chars.
memcpy
  Copies a block of len bytes from src to dest.
memmove
  Copies a block of len bytes from src to dest, with possibility of overlaping of source and destination block.
memset
  Sets num bytes of buffer to byte c.
memucmp
  Compares two blocks of unsigned chars.

Constants

NULL
  A null-pointer value.

Predefined Types

size_t
  A type to define sizes of strings and memory blocks.

See also: alloc.h